=== debian/changelog ===
qt6-virtualkeyboard (6.8.2+dfsg-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Install missing cmake-file (Closes: #1103934).
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Wed, 23 Apr 2025 18:35:52 +0200

qt6-virtualkeyboard (6.8.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 13:25:21 +0100

qt6-virtualkeyboard (6.8.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 12 Feb 2025 22:42:29 +0100
